Skip to content

Get the delivery estimate for a transfer

Request

Get the live delivery estimate for a transfer by the transfer ID.

The delivery estimate is the time at which we currently expect the transfer to arrive in the beneficiary's bank account. This is not a guaranteed time but we are working hard to make these estimates as accurate as possible.

Security
UserToken
Path
transferIdinteger, (int64)required

The ID of the transfer.

Example:12345678
Query
timezonestring

Timezone ID for the formatted text. Defaults to UTC if not provided.

Example:timezone=Asia/Singapore
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v1/delivery-estimates/12345678?timezone=Asia%2FSingapore' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Delivery estimate for the transfer.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
estimatedDeliveryDatestring, (date-time)

Estimated time when funds will arrive in the recipient's bank account.

formattedEstimatedDeliveryDatestring

A string to display to users for the estimated delivery date.

Response
{ "estimatedDeliveryDate": "2018-01-10T12:15:00.000+0000", "formattedEstimatedDeliveryDate": "in seconds" }